# Sarek Contributing Guidelines

Hi there! Many thanks for taking an interest in improving Sarek.

We try to manage the required tasks for Sarek using GitHub issues, you probably came to this page when creating one. Please use the prefilled template to save time.

However, don't be put off by this template - other more general issues and suggestions are welcome! Contributions to the code are even more welcome ;)

> If you need help using Sarek then the best place to go is the Gitter chatroom where you can ask us questions directly: https://gitter.im/SciLifeLab/Sarek

## Contribution workflow
If you'd like to write some code for Sarek, the standard workflow
is as follows:

1. Check that there isn't already an issue about your idea in the
   [Sarek issues](https://github.com/SciLifeLab/Sarek/issues) to avoid
   duplicating work.
    * Feel free to add a [new issue here](https://github.com/SciLifeLab/Sarek/issues/new/choose) for the same reason.
2. Fork the Sarek repository to your GitHub account
3. [Configure a remote for your fork](https://help.github.com/articles/configuring-a-remote-for-a-fork/)
```
git remote add upstream https://github.com/SciLifeLab/Sarek.git
```

4. [Sync your fork](https://help.github.com/articles/syncing-a-fork/)
5. Make the necessary changes / additions within your forked repository
6. Submit a [Pull Request](https://github.com/SciLifeLab/Sarek/compare) against the `dev` branch and wait for the code to be reviewed and merged.

If you're not used to this workflow with git, you can start with some [basic docs from GitHub](https://help.github.com/articles/fork-a-repo/) or even their [excellent interactive tutorial](https://try.github.io/).

For further information/help, please consult the [Sarek documentation](https://github.com/SciLifeLab/Sarek#documentation) and don't hesitate to get in touch on [Gitter](https://gitter.im/SciLifeLab/Sarek) or contact us: maxime.garcia@scilifelab.se, szilveszter.juhos@scilifelab.se
